Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conlmd.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conlmd.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conlmd.F90	(revision 5143)
@@ -2164,7 +2160,7 @@
       IF (nuage(i)) THEN
         kh(i) = k
-        zconv(i) = zconv(i) + conv_q(i, k)*dtime*(paprs(i,k)-paprs(i,k+1))
-        zvirt(i) = zvirt(i) + (zdeh(i,k)/rlvtt+zqs(i,k)-q(i,k))*(paprs(i,k)- &
-          paprs(i,k+1))
+        zconv(i) = zconv(i) + conv_q(i, k) * dtime * (paprs(i, k) - paprs(i, k + 1))
+        zvirt(i) = zvirt(i) + (zdeh(i, k) / rlvtt + zqs(i, k) - q(i, k)) * (paprs(i, k) - &
+                paprs(i, k + 1))
       END IF
     END DO
@@ -2172,5 +2168,4 @@
 
   IF (vector) THEN
-
 
     DO k = plb, klev
@@ -2178,5 +2173,5 @@
         IF (k<=kh(i) .AND. kh(i)>plb .AND. zconv(i)>0.0) THEN
           test(i, k) = .TRUE.
-          zfrac(i) = max(0.0, min(zconv(i)/zvirt(i),1.0))
+          zfrac(i) = max(0.0, min(zconv(i) / zvirt(i), 1.0))
         ELSE
           test(i, k) = .FALSE.
@@ -2187,9 +2182,9 @@
     DO k = plb, klev
       DO i = 1, klon
-        IF (test(i,k)) THEN
-          zvar = zdeh(i, k)/(1.0+zdqs(i,k))
-          d_q(i, k) = (zvar*zdqs(i,k)/rlvtt+zqs(i,k)-q(i,k))*zfrac(i) - &
-            conv_q(i, k)*dtime
-          d_t(i, k) = zvar*zfrac(i)/rcpd
+        IF (test(i, k)) THEN
+          zvar = zdeh(i, k) / (1.0 + zdqs(i, k))
+          d_q(i, k) = (zvar * zdqs(i, k) / rlvtt + zqs(i, k) - q(i, k)) * zfrac(i) - &
+                  conv_q(i, k) * dtime
+          d_t(i, k) = zvar * zfrac(i) / rcpd
         END IF
       END DO
@@ -2202,8 +2197,8 @@
     DO k = plb, klev
       DO i = 1, klon
-        IF (test(i,k)) THEN
-          IF (d_q(i,k)<0.0) rneb(i, k) = zfrac(i)
-          zq1(i) = zq1(i) - d_q(i, k)*(paprs(i,k)-paprs(i,k+1))
-          zq2(i) = zq2(i) - min(0.0, d_q(i,k))*(paprs(i,k)-paprs(i,k+1))
+        IF (test(i, k)) THEN
+          IF (d_q(i, k)<0.0) rneb(i, k) = zfrac(i)
+          zq1(i) = zq1(i) - d_q(i, k) * (paprs(i, k) - paprs(i, k + 1))
+          zq2(i) = zq2(i) - min(0.0, d_q(i, k)) * (paprs(i, k) - paprs(i, k + 1))
         END IF
       END DO
@@ -2212,6 +2207,6 @@
     DO k = plb, klev
       DO i = 1, klon
-        IF (test(i,k)) THEN
-          IF (zq2(i)/=0.) d_ql(i, k) = -min(0.0, d_q(i,k))*zq1(i)/zq2(i)
+        IF (test(i, k)) THEN
+          IF (zq2(i)/=0.) d_ql(i, k) = -min(0.0, d_q(i, k)) * zq1(i) / zq2(i)
         END IF
       END DO
@@ -2224,10 +2219,10 @@
         ! cc         IF (kh(i).LE.plb) GOTO 999 ! il n'y a pas d'instabilite
         ! cc         IF (zconv(i).LE.0.0) GOTO 999 ! convergence insuffisante
-        zfrac(i) = max(0.0, min(zconv(i)/zvirt(i),1.0))
+        zfrac(i) = max(0.0, min(zconv(i) / zvirt(i), 1.0))
         DO k = plb, kh(i)
-          zvar = zdeh(i, k)/(1.0+zdqs(i,k))
-          d_q(i, k) = (zvar*zdqs(i,k)/rlvtt+zqs(i,k)-q(i,k))*zfrac(i) - &
-            conv_q(i, k)*dtime
-          d_t(i, k) = zvar*zfrac(i)/rcpd
+          zvar = zdeh(i, k) / (1.0 + zdqs(i, k))
+          d_q(i, k) = (zvar * zdqs(i, k) / rlvtt + zqs(i, k) - q(i, k)) * zfrac(i) - &
+                  conv_q(i, k) * dtime
+          d_t(i, k) = zvar * zfrac(i) / rcpd
         END DO
 
@@ -2235,10 +2230,10 @@
         zq2(i) = 0.0
         DO k = plb, kh(i)
-          IF (d_q(i,k)<0.0) rneb(i, k) = zfrac(i)
-          zq1(i) = zq1(i) - d_q(i, k)*(paprs(i,k)-paprs(i,k+1))
-          zq2(i) = zq2(i) - min(0.0, d_q(i,k))*(paprs(i,k)-paprs(i,k+1))
+          IF (d_q(i, k)<0.0) rneb(i, k) = zfrac(i)
+          zq1(i) = zq1(i) - d_q(i, k) * (paprs(i, k) - paprs(i, k + 1))
+          zq2(i) = zq2(i) - min(0.0, d_q(i, k)) * (paprs(i, k) - paprs(i, k + 1))
         END DO
         DO k = plb, kh(i)
-          IF (zq2(i)/=0.) d_ql(i, k) = -min(0.0, d_q(i,k))*zq1(i)/zq2(i)
+          IF (zq2(i)/=0.) d_ql(i, k) = -min(0.0, d_q(i, k)) * zq1(i) / zq2(i)
         END DO
       END IF
@@ -2247,4 +2242,3 @@
   END IF ! fin de teste sur vector
 
-
 END SUBROUTINE fiajc
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_enthalpmix.F90	(revision 5143)
@@ -1,5 +1,4 @@
 SUBROUTINE cv3_enthalpmix(len, nd, iflag, plim1, plim2, p, ph, &
-                       t, q, u, v, w, &
-                       wi, nk, tmix, thmix, qmix, qsmix, umix, vmix, plcl)
+        t, q, u, v, w, wi, nk, tmix, thmix, qmix, qsmix, umix, vmix, plcl)
   ! **************************************************************
   ! *
@@ -10,5 +9,8 @@
   ! modified by :  Filiberti M-A 06/2005 vectorisation          *
   ! **************************************************************
-USE lmdz_cvthermo
+  USE lmdz_cvthermo
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   ! ==============================================================
@@ -22,51 +24,49 @@
   ! ===============================================================
 
-  include "YOETHF.h"
   include "YOMCST.h"
-  include "FCTTRE.h"
-!inputs:
-  INTEGER, INTENT (IN)                      :: nd, len
-  INTEGER, DIMENSION (len), INTENT (IN)     :: nk
-  REAL, DIMENSION (len), INTENT (IN)        :: plim1, plim2
-  REAL, DIMENSION (len,nd), INTENT (IN)     :: t, q
-  REAL, DIMENSION (len,nd), INTENT (IN)     :: u, v
-  REAL, DIMENSION (nd), INTENT (IN)         :: w
-  REAL, DIMENSION (len,nd), INTENT (IN)     :: p
-  REAL, DIMENSION (len,nd+1), INTENT (IN)   :: ph
-!input/output:
-  INTEGER, DIMENSION (len), INTENT (INOUT)  ::  iflag
-!outputs:
-  REAL, DIMENSION (len), INTENT (OUT)       :: tmix, thmix, qmix
-  REAL, DIMENSION (len), INTENT (OUT)       :: umix, vmix
-  REAL, DIMENSION (len), INTENT (OUT)       :: qsmix
-  REAL, DIMENSION (len), INTENT (OUT)       :: plcl
-  REAL, DIMENSION (len,nd), INTENT (OUT)    :: wi
-!internal variables :
+  !inputs:
+  INTEGER, INTENT (IN) :: nd, len
+  INTEGER, DIMENSION (len), INTENT (IN) :: nk
+  REAL, DIMENSION (len), INTENT (IN) :: plim1, plim2
+  REAL, DIMENSION (len, nd), INTENT (IN) :: t, q
+  REAL, DIMENSION (len, nd), INTENT (IN) :: u, v
+  REAL, DIMENSION (nd), INTENT (IN) :: w
+  REAL, DIMENSION (len, nd), INTENT (IN) :: p
+  REAL, DIMENSION (len, nd + 1), INTENT (IN) :: ph
+  !input/output:
+  INTEGER, DIMENSION (len), INTENT (INOUT) :: iflag
+  !outputs:
+  REAL, DIMENSION (len), INTENT (OUT) :: tmix, thmix, qmix
+  REAL, DIMENSION (len), INTENT (OUT) :: umix, vmix
+  REAL, DIMENSION (len), INTENT (OUT) :: qsmix
+  REAL, DIMENSION (len), INTENT (OUT) :: plcl
+  REAL, DIMENSION (len, nd), INTENT (OUT) :: wi
+  !internal variables :
   INTEGER i, j
   INTEGER niflag7
-  INTEGER, DIMENSION(len)                   :: j1, j2
-  REAL                                      :: a, b
-  REAL                                      :: cpn
-  REAL                                      :: x, y, p0, p0m1, zdelta, zcor
-  REAL, SAVE                                :: dpmin=1.
-!$OMP THREADPRIVATE(dpmin)
-  REAL, DIMENSION(len)                      :: plim2p  ! = min(plim2(:),plim1(:)-dpmin)
-  REAL, DIMENSION(len)                      :: akm     ! mixture enthalpy
-  REAL, DIMENSION(len)                      :: dpw, coef
-  REAL, DIMENSION(len)                      :: rdcp, a2, b2, pnk
-  REAL, DIMENSION(len)                      :: rh, chi
-  REAL, DIMENSION(len)                      :: eqwght
-  REAL, DIMENSION(len,nd)                   :: p1, p2
-
-
-!!  print *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
-  plim2p(:) = min(plim2(:),plim1(:)-dpmin)
-  j1(:)=nd
+  INTEGER, DIMENSION(len) :: j1, j2
+  REAL :: a, b
+  REAL :: cpn
+  REAL :: x, y, p0, p0m1, zdelta, zcor
+  REAL, SAVE :: dpmin = 1.
+  !$OMP THREADPRIVATE(dpmin)
+  REAL, DIMENSION(len) :: plim2p  ! = min(plim2(:),plim1(:)-dpmin)
+  REAL, DIMENSION(len) :: akm     ! mixture enthalpy
+  REAL, DIMENSION(len) :: dpw, coef
+  REAL, DIMENSION(len) :: rdcp, a2, b2, pnk
+  REAL, DIMENSION(len) :: rh, chi
+  REAL, DIMENSION(len) :: eqwght
+  REAL, DIMENSION(len, nd) :: p1, p2
+
+
+  !!  print *,' ->cv3_vertmix, plim1,plim2 ', plim1,plim2   !jyg
+  plim2p(:) = min(plim2(:), plim1(:) - dpmin)
+  j1(:) = nd
   j2(:) = 0
   DO j = 1, nd
     DO i = 1, len
-      IF (plim1(i)<=ph(i,j)) j1(i) = j
-!!!      IF (plim2p(i)>=ph(i,j+1) .AND. plim2p(i)<ph(i,j)) j2(i) = j
-      IF (plim2p(i)< ph(i,j)) j2(i) = j
+      IF (plim1(i)<=ph(i, j)) j1(i) = j
+      !!!      IF (plim2p(i)>=ph(i,j+1) .AND. plim2p(i)<ph(i,j)) j2(i) = j
+      IF (plim2p(i)< ph(i, j)) j2(i) = j
     END DO
   END DO
@@ -90,5 +90,5 @@
 
   p0 = 1000.
-  p0m1 = 1./p0
+  p0m1 = 1. / p0
 
   DO i = 1, len
@@ -97,22 +97,22 @@
       eqwght(i) = 1.
     ELSE
-      coef(i) = 1./(plim1(i)-plim2p(i))
+      coef(i) = 1. / (plim1(i) - plim2p(i))
     ENDIF
   END DO
 
-!!  print *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
+  !!  print *,'cv3_vertmix, j1,j2,coef ', j1,j2,coef  !jyg
 
   DO j = 1, nd
     DO i = 1, len
       IF (j>=j1(i) .AND. j<=j2(i)) THEN
-        p1(i, j) = min(ph(i,j), plim1(i))
-        p2(i, j) = max(ph(i,j+1), plim2p(i))
+        p1(i, j) = min(ph(i, j), plim1(i))
+        p2(i, j) = max(ph(i, j + 1), plim2p(i))
         ! CRtest:couplage thermiques: deja normalise
         ! wi(i,j) = w(j)
         ! PRINT*,'wi',wi(i,j)
-        wi(i, j) = w(j)*(p1(i,j)-p2(i,j))*coef(i)+eqwght(i)
+        wi(i, j) = w(j) * (p1(i, j) - p2(i, j)) * coef(i) + eqwght(i)
         dpw(i) = dpw(i) + wi(i, j)
 
-!!  print *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
+        !!  print *,'cv3_vertmix, j, wi(1,j),dpw ', j, wi(1,j),dpw  !jyg
 
       END IF
@@ -127,9 +127,9 @@
     DO i = 1, len
       IF (j>=j1(i) .AND. j<=j2(i)) THEN
-        wi(i, j) = wi(i, j)/dpw(i)
-        akm(i) = akm(i) + (cpd*(1.-q(i,j))+q(i,j)*cpv)*t(i, j)*wi(i, j)
-        qmix(i) = qmix(i) + q(i, j)*wi(i, j)
-        umix(i) = umix(i) + u(i, j)*wi(i, j)
-        vmix(i) = vmix(i) + v(i, j)*wi(i, j)
+        wi(i, j) = wi(i, j) / dpw(i)
+        akm(i) = akm(i) + (cpd * (1. - q(i, j)) + q(i, j) * cpv) * t(i, j) * wi(i, j)
+        qmix(i) = qmix(i) + q(i, j) * wi(i, j)
+        umix(i) = umix(i) + u(i, j) * wi(i, j)
+        vmix(i) = vmix(i) + v(i, j) * wi(i, j)
       END IF
     END DO
@@ -137,11 +137,9 @@
 
   DO i = 1, len
-    rdcp(i) = (rrd*(1.-qmix(i))+qmix(i)*rrv)/(cpd*(1.-qmix(i))+qmix(i)*cpv)
-  END DO
-
-
-!!  print *,'cv3_vertmix, rdcp ', rdcp  !jyg
-
-
+    rdcp(i) = (rrd * (1. - qmix(i)) + qmix(i) * rrv) / (cpd * (1. - qmix(i)) + qmix(i) * cpv)
+  END DO
+
+
+  !!  print *,'cv3_vertmix, rdcp ', rdcp  !jyg
 
   DO j = 1, nd
@@ -149,7 +147,7 @@
       IF (j>=j1(i) .AND. j<=j2(i)) THEN
         ! c            x=(.5*(p1(i,j)+p2(i,j))*p0m1)**rdcp(i)
-        y = (.5*(p1(i,j)+p2(i,j))/pnk(i))**rdcp(i)
+        y = (.5 * (p1(i, j) + p2(i, j)) / pnk(i))**rdcp(i)
         ! c            a2(i)=a2(i)+(cpd*(1.-qmix(i))+qmix(i)*cpv)*x*wi(i,j)
-        b2(i) = b2(i) + (cpd*(1.-qmix(i))+qmix(i)*cpv)*y*wi(i, j)
+        b2(i) = b2(i) + (cpd * (1. - qmix(i)) + qmix(i) * cpv) * y * wi(i, j)
       END IF
     END DO
@@ -157,6 +155,6 @@
 
   DO i = 1, len
-    tmix(i) = akm(i)/b2(i)
-    thmix(i) = tmix(i)*(p0/pnk(i))**rdcp(i)
+    tmix(i) = akm(i) / b2(i)
+    thmix(i) = tmix(i) * (p0 / pnk(i))**rdcp(i)
     ! PRINT*,'thmix akm',akm(i),b2(i)
     ! PRINT*,'thmix t',tmix(i),p0
@@ -165,9 +163,9 @@
     ! c         thmix(i) = akm(i)/a2(i)
     ! c         tmix(i)= thmix(i)*(pnk(i)*p0m1)**rdcp(i)
-    zdelta = max(0., sign(1.,rtt-tmix(i)))
-    qsmix(i) = r2es*foeew(tmix(i), zdelta)/(pnk(i)*100.)
+    zdelta = max(0., sign(1., rtt - tmix(i)))
+    qsmix(i) = r2es * foeew(tmix(i), zdelta) / (pnk(i) * 100.)
     qsmix(i) = min(0.5, qsmix(i))
-    zcor = 1./(1.-retv*qsmix(i))
-    qsmix(i) = qsmix(i)*zcor
+    zcor = 1. / (1. - retv * qsmix(i))
+    qsmix(i) = qsmix(i) * zcor
   END DO
 
@@ -180,5 +178,4 @@
   b = 122.0 ! convect3
 
-
   niflag7 = 0
   DO i = 1, len
@@ -186,13 +183,13 @@
     IF (iflag(i)/=7) THEN ! modif sb Jun7th 2002
 
-      rh(i) = qmix(i)/qsmix(i)
-      chi(i) = tmix(i)/(a-b*rh(i)-tmix(i)) ! convect3
+      rh(i) = qmix(i) / qsmix(i)
+      chi(i) = tmix(i) / (a - b * rh(i) - tmix(i)) ! convect3
       ! ATTENTION, la LIGNE DESSOUS A ETE RAJOUTEE ARBITRAIREMENT ET
       ! MASQUE UN PB POTENTIEL
       chi(i) = max(chi(i), 0.)
       rh(i) = max(rh(i), 0.)
-      plcl(i) = pnk(i)*(rh(i)**chi(i))
+      plcl(i) = pnk(i) * (rh(i)**chi(i))
       IF (((plcl(i)<200.0) .OR. (plcl(i)>=2000.0)) .AND. (iflag(i)==0)) &
-          iflag(i) = 8
+              iflag(i) = 8
 
     ELSE
@@ -207,7 +204,5 @@
   END DO
 
-!!  print *,' cv3_vertmix->'  !jyg
-
-
+  !!  print *,' cv3_vertmix->'  !jyg
 
 END SUBROUTINE cv3_enthalpmix
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_estatmix.F90	(revision 5143)
@@ -12,4 +12,7 @@
   ! ****************************************************************
 USE lmdz_cvthermo
+USE lmdz_YOETHF
+USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   ! ==============================================================
@@ -23,7 +26,5 @@
   ! ===============================================================
 
-  include "YOETHF.h"
   include "YOMCST.h"
-  include "FCTTRE.h"
 !inputs:
   INTEGER, INTENT (IN)                      :: nd, len
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/diagphy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/diagphy.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/diagphy.F90	(revision 5143)
@@ -48,8 +48,9 @@
 
   USE dimphy
+  USE lmdz_YOETHF
+
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "YOETHF.h"
 
   ! Input variables
@@ -205,8 +206,9 @@
 
   USE dimphy
+  USE lmdz_YOETHF
+
   IMPLICIT NONE
 
   include "YOMCST.h"
-  include "YOETHF.h"
 
   ! Input variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5143)
@@ -1318,4 +1318,6 @@
     ! ========================================================
     USE dimphy
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     IMPLICIT NONE
@@ -1339,10 +1341,4 @@
 
     include "YOMCST.h"
-    include "YOETHF.h"
-
-    !  ----------------------------------------
-    !  Statement functions
-    include "FCTTRE.h"
-    !  ----------------------------------------
 
     DO k = 1, klev
@@ -1398,4 +1394,6 @@
     ! ========================================================
     USE dimphy
+    USE lmdz_YOETHF
+    USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
     IMPLICIT NONE
@@ -1430,10 +1428,4 @@
 
     include "YOMCST.h"
-    include "YOETHF.h"
-
-    !  ----------------------------------------
-    !  Statement functions
-    include "FCTTRE.h"
-    !  ----------------------------------------
 
     print *, 'dtime, tau ', dtime, tau
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5143)
@@ -32,8 +32,8 @@
 USE lmdz_clesphys
 USE lmdz_compbl, ONLY: iflag_pbl, iflag_pbl_split, iflag_order2_sollw, ifl_pbltree
+USE lmdz_YOETHF
 
 IMPLICIT NONE
 INCLUDE "YOMCST.h"
-INCLUDE "YOETHF.h"
 
 ! Arguments
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/evappot.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/evappot.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/evappot.F90	(revision 5143)
@@ -1,10 +1,10 @@
 SUBROUTINE evappot(klon,nbsrf,ftsol,pplay,cdragh,  &
       t_seri,q_seri,u_seri,v_seri,evap_pot)
+USE lmdz_YOETHF
+USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
 
 IMPLICIT NONE
 
 INCLUDE "YOMCST.h"
-INCLUDE "YOETHF.h"
-INCLUDE "FCTTRE.h"
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fisrtilp_tr.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fisrtilp_tr.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fisrtilp_tr.F90	(revision 5143)
@@ -11,4 +11,7 @@
   USE dimphy
   USE lmdz_print_control, ONLY: lunout
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
   ! ======================================================================
@@ -122,6 +125,4 @@
   REAL fallv ! vitesse de chute pour crystaux de glace
   REAL zzz
-  include "YOETHF.h"
-  include "FCTTRE.h"
   fallv(zzz) = 3.29/2.0*((zzz)**0.16)
   ! cc      fallv (zzz) = 3.29/3.0 * ((zzz)**0.16)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5143)
@@ -24,4 +24,6 @@
     USE lmdz_abort_physic, ONLY: abort_physic
     USE lmdz_clesphys
+    USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
 
     CHARACTER (LEN = 20) :: modname = 'flott_gwd_rando'
@@ -33,5 +35,4 @@
     ! include "dimphy.h"
     ! END OF DIFFERENCE ONLINE-OFFLINE
-    include "YOEGWD.h"
 
     ! 0. DECLARATIONS:
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5143)
@@ -241,4 +241,5 @@
     USE indice_sol_mod
   USE lmdz_clesphys
+  USE lmdz_YOETHF
 #ifdef ISO
     USE infotrac_phy, ONLY: niso
@@ -248,4 +249,5 @@
 #endif
 #endif
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
         
 ! Routine de traitement de la fonte de la neige dans le cas du traitement
@@ -267,7 +269,5 @@
 !   evap
 
-  INCLUDE "YOETHF.h"
   INCLUDE "YOMCST.h"
-  INCLUDE "FCTTRE.h"
 
 ! Input variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5143)
@@ -12,4 +12,6 @@
 !    USE control, ONLY: nvm
 !    USE indice_sol_mod, ONLY: nvm_orch
+    USE lmdz_YOEGWD, ONLY: GFRCRIT, GKWAKE, GRCRIT, GVCRIT, GKDRAG, GKLIFT, GHMAX, GRAHILO, GSIGCR, NKTOPG, NSTRA, GSSEC, GTSEC, GVSEC, &
+          GWD_RANDO_RUWMAX, gwd_rando_sat, GWD_FRONT_RUWMAX, gwd_front_sat
 
     IMPLICIT NONE
@@ -17,5 +19,4 @@
 
     include "YOMCST.h"
-    include "YOEGWD.h"
 
     ! 0. DECLARATIONS:
